Password Commander. Что нового?

Условные обозначения:

[+] Новая возможность
[*] Изменение
[-] Исправление ошибки

Версия 2.5 (11.10.2005)

[*] На вкладке "Автозаполнение" редактора записи появилась возможность добавления нескольких окон или адресов для автозаполнения.
[+] Добавлена возможность перетаскивания содержимого полей из окна Password Commander в окно любой другой программы.
[*] В «Плавающей» панели добавлен дополнительный уровень иерархии, который отображает поля записи.
[+] Введен дополнительный тип поля – IP адрес.
[+] Появилась возможность создания ярлыка на рабочем столе.
[-] Исправлено множество мелких ошибок.

Версия 2.3.1 (20.09.2005)

[-] Исправлено множество мелких ошибок.

Версия 2.3 (30.08.2005)

[+] Добавлена возможность перемещения элементов между различными группами
[+] Добавлен импорт из CSV-файла
[+] Добавлена корзина для каждой группы
[*] Изменен формат CSV-файла, генерируемого Мастером экспорта и печати
[+] Добавлена строка с указанием точной версии в диалог "О программе"
[-] Исправлено множество мелких ошибок

Версия 2.2 (14.08.2005)

[+] Добавлены пасскарты. Пасскарта - это файл, в который может быть сохранена любая запись, папка или группа
[+] Добавлен быстрый поиск по дереву паролей. Теперь достаточно нажать Ctrl+Alt+буква, чтобы найти нужную запись
[+] Добавлена возможность задавать комментарии к группам и папкам
[+] Добавлена экранная клавиатура
[*] Максимальное количество полей записи увеличено до 20
[+] Добавлены мультикоманды автозаполнения

Версия 2.0 SE (24.01.2005)

[+] Добавлен мастер установки на переносной носитель
[+] Добавлена возможность работы с переносного носителя
[*] По умолчанию новые аккаунты сохраняются в папку "Мои документы"
[+] Добавлена возможность сортировки данных
[+] Добавлена возможность отключения панели инструментов
[*] Увеличена скорость загрузки "шкурок"
[+] Добавлена возможность скрывать изображение в окне авторизации
[*] Улучшена "плавающая" панель
[*] Улучшена обработка ссылок в мастере экспорта и печати
[*] Все категории в генераторе паролей теперь локализованы
[-] Исправлено множество мелких ошибок

Версия 2.0 Final (07.11.2004)

[+] Добавлена справочная система
[+] Добавлена возможность работы в сети с многопользовательским доступом к базе паролей
[-] Исправлено множество мелких ошибок

Версия 2.0 beta 4 (11.10.2004)

[*] Изменен алгоритм автозаполнения. Теперь поддерживается вставка символов из нескольких раскладок одновременно
[*] Обновлен украинский перевод интерфейса
[*] Изменен алгоритм работы с браузером Internet Explorer в случае, если открыто много окон. Теперь корректно определяется URL активного окна
[+] Добавлено много различных "горячих" клавиш
[-] Исправлена ошибка: при включенной опции "Запускать свернутым при старте вместе с Windows" аккаунт часто самопроизвольно блокировался
[-] Исправлена ошибка: при автоблокировке аккаунта на экране кроме окна авторизации отображалось и главное окно приложения
[-] Исправлена ошибка: если включена опция "Поверх всех окон", то при восстановлении программы из трея, главное окно приложения не получало фокус
[-] Исправлена ошибка: макрос %Record Name% не обрабатывался
[*] Улучшена работа дерева паролей
[-] Исправлена ошибка: окно регистрации не переводилось на язык по умолчанию, заданный в глобальных опциях

Версия 2.0 beta 3 (14.09.2004)

[*] Полностью переписан "движок" программы. Теперь он основан на новой технологии "Expline ParseIt!". В первую очередь, это означает повышенную надежность хранения данных, высокую скорость работы, а также открывает новые перспективы развития Password Commander
[+] Типы полей группы теперь могут быть переведены на любые языки
[*] Улучшена генерация Autologin-паролей. Теперь они обладают большей стойкостью
[+] Добавлена возможность обновления AutoLogin-паролей
[*] Огромное количество мелких изменений, связанных с особенностью нового "движка"
[-] Исправлено огромное количество мелких ошибок

Версия 2.0 beta 2 SE (02.08.2004)

[-] Исправлена ошибка, приводящая к сбоям в PWD файле. 

Версия 2.0 beta 2 (29.06.2004)

[*] Улучшена работа инсталлятора
[*] Улучен перевод на русский язык
[*] Автозаполнение теперь работает на системах Windows 98 SE и старше
[-] Исправлена ошибка: автозаполнение из закладок в трее не работает
[+] Добавлена корректная работа с MYIE2
[+] Добавлена корректная работа с Netscape 7+
[*] Если не заданы поля для автозаполнения, то кнока "Автозаполнение" становится неактивной
[-] Исправлена ошибка: при выборе несуществующего аккаунта просходило исключение "List Index Out of Bounds"
[+] Добавлен макрос для автозаполнения - пробел ({Space})
[-] Исправлена ошибка: некоторые картинки на кнопках в редакторе записей несоответствовали смыслку кнопок
[-] Исправлена ошибка: при включенной опции "блокировать программу при восстановлении из трея" невозможно было разблокировать программу
[-] Исправлено огромное количество других ошибок

Версия 2.0 beta 1 (06.06.2004)

[+] Поддержка нового вида плагинов - "плавающие" панели
[+] Скины для программы теперь в zip формате
[+] Добавлена поддержка шаблонов групп
[+] Добавлены глобальные опции (действуют для всех пользователей)
[+] Добавлено перемещение записей и папок в пределах группы
[*] Новый дизайн программы
[+] Добавлены действия по умолчанию при выборе закладки
[+] Добавлена возможность перемещения/удаления полей в группе после ее создания
[+] Добавлена возможность запрашивать главный пароль при изменении настроек, данных и т.д.
[*] Усовершенствованы ссылки "Дополнительные задачи". Теперь программа интеллектуально предлагает варианты, в зависимости от выбранного поля записи
[*] Добавлена технология Secure AutoFill
[*] Теперь возможно запускать программу в свернутом виде, если вход в аккаунт не произведен
[+] Добавлен режим "Только чтение"
[+] В главное меню "Правка" добавлено подменю с полями, которое позволяет копировать данных этих полей
[*] Скорость загрузки увеличена в 1.5 раза
[+] Добавлена возможность показывать сообщение, если обнаружены просроченные записи
[+] Добавлено меню "Вид"
[+] Добавлена возможность выбора типа кнопок на панели инструментов
[+] Добавлена возможность очистки буфера обмена, в т.ч. и по горячей клавише
[+] Добавлена возможность показывать случайное число "звездочек" при просмотре паролей
[+] Добавлен режим "Поверх всех окон"
[+] Новое расширенное меню в системном лотке, с возможностью отображения в нем закладок
[-] Исправлены все найденные ошибки

Версия 1.52 (22.03.2004)

[+] Добавлен украинский перевод (спасибо Zenoviy Demianchuk!)
[+] В AutoLogin аккаунт можно войти с окна авторизации, введя пароль "auto"
[-] Убрано мигание полей в списке при просмотре
[-] Исправлена ошибка: после вызова окна авторизации сбивался язык в настройках
[-] Исправлена ошибка: если программа свернута в трей и выполнена блокировка, то окно авторизации не будет показано
[-] При блокировке запрещены все горячие клавиши 
[-] Неправильная обработка параметра "Login" командной строки

Версия 1.51 (18.03.2004)

[+] Добавлена возможность выставить задержку между вводом полей при автозаполнении
[+] Добавлена возможность запускать программу свернутой
[+] Добавлена опция автораскрытия дерева
[+] Добавлена возможность менять некоторые типы полей в группе после ее создания
[+] В примеры аккаунтов, поставляющихся вместе с программой, добавлен тест автозаполнения
[*] В два раза увеличена скорость отрисовки полей при просмотре
[-] Исправлена ошибка, которая мешала некоторым версиям Windows корректно завершать сеанс
[-] Исправлена ошибка: при перемещении записи появлялось сообщение Invalid Index
[-] Если запущено два браузера, то определяется URL только активного

Версия 1.5 (15.03.2004)

[+] Автозаполнение
[+] Система Smart AutoFill
[+] Автозагружаемые AutoLogin аккаунты
[+] Поддержка плагинов шифрования
[+] Поиск по базе паролей
[+] Расширенный поиск по базе паролей (с помощью масок * и ?)
[+] Возможность добавлять новые поля в группу после ее создания
[*] Система перевода
[+] При выборе названия аккаунта из списка в окне входа интерфейс автоматически переводится на нужный язык
[+] Теперь возмножно прикреплять файлы до 64 кб
[+] Добавилась возможность устанавливать сроки дейсвия записей
[+] Поддержка макросов
[+] Доп. поля: URL, E-mail, Command line
[+] Резервное копирования базы паролей
[+] Сворачивание в трей
[+] Закладки
[+] Автоматическая проверки обновлений
[*] Перемещено расположение аккаунтов по умолчанию
[+] Возможность добавить уже существуеющий аккаунт 
[+] Папки просмотра
[+] Возмножность изменить главный пароль
[+] Подсказка к главному паролю
[+] Мастер создания нового аккаунта
[+] Мастер экспорта и печати
[+] Запрещен запуск двух копий приложения одновременно
[+] Работа с сетевыми ресурсами
[+] Автосохранение состояния дерева
[+] Автосохранение форм и панелей на экране
[-] Запрещено создание групп, папок и записей с одинаковым названием
[+] Возможность делать копии записей
[+] Эксклюзивная блокировка файла аккаунта и файла настроек аккаунта
[+] Автоматическая блокировка записи при простое
[+] Много настроек, связанных с треем
[+] Возмножность очистки буфера обмена
[+] Автоматическая очистка буфера обмена при копировании черех определенное время
[+] Возмножность заполнения аккаунта демонстрационными данными
[+] Копирование файлов аккаунта
[+] Web-Стиль
[+] Возможность использовать сокращенные меню
[+] Открытие из меню "Файл" папки с файлами и резервными копиями аккаунта
[+] Поддержка командной строки
[+] Система бесплатной регистрации пользователей
[+] Регистрация расширения .pwd в системе
[+] Документация по плагинам

Версия 1.1 (23.12.2003)

[-] Исправлена проблема с редактированием поля "Additional password"
[*] Увеличена надежность работы с *.pwd-файлом. 

Версия 1.00 (01.12.2003)

- Первый официальный релиз